Bug 453440 - NetworkManager requires multiple attempts on IBM T42 laptop
NetworkManager requires multiple attempts on IBM T42 laptop
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-30 13:05 EDT by Jeff Johnston
Modified: 2014-07-02 12:12 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-08 20:29:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jjohnstn: needinfo-


Attachments (Terms of Use)

  None (edit)
Description Jeff Johnston 2008-06-30 13:05:50 EDT
Description of problem:

After an upgrade from F8 to F9, NetworkManager never comes up on the first try.
 I am trying to connect to a local wireless network with a WEP hex key.  The key
is stored correctly in the default keyring.  When I start up, the connection
does not work and it brings up the WEP password page.  The key is filled in
correctly from the keyring.  I then hit Connect from the page and either it
works or I am thrown back into the password page.  Sometimes I get connected to
a wireless network called "none" which is not the name of my local network. 
Most times, I have to restart NetworkManager and that often solves the problem.
 On rare occurrences I may have to restart the system after multiple
NetworkManager restarts fail.  I have an ipw2200 wireless card.  There were no
problems when using F8 NetworkManager and the network has not changed between
releases.  I do not know if doing the upgrade vs clean install is the cause of
the problem.  The local wireless Network is using a Linksys wireless router if
that is of any help.

Version-Release number of selected component (if applicable):

NetworkManager-0.7.0-0.9.4.svn3675.fc9.i386
Comment 1 Dan Williams 2008-07-02 18:54:41 EDT
Hmm, I believe I've got the same hardware config and haven't seen issues with
this.  What kernel version do you have installed?
Comment 2 Jeff Johnston 2008-07-03 11:52:47 EDT
kernel-2.6.25.9-76.fc9.i686

An update.  Last night I edited the wireless configurations and noticed there
was a 2nd wireless entry for my network name which specified WPA.  I don't use
WPA and one of the symptoms I have been having is that it sometimes tries to get
a WPA password out of me and this forces me to restart the system.  I removed
that bogus configuration from the list and last night it started on the first
try, however, it is still giving a message that I am connected to network 'none'
instead of the SSID which is properly registered in the wireless list and also
appears by name in the list when I left-click on the NM icon.  I don't broadcast
the SSID if that means anything.
Comment 3 Dan Williams 2009-02-14 15:30:57 EST
Is this better with 2.6.27.12 kernels from Fedora updates?  A bunch of fixes have gone into NM and the kernel since 2.6.25 that may have fixed this issue.
Comment 4 Jeff Johnston 2009-02-17 12:38:20 EST
Yes, it is better since I have updated to F-10.  I have a problem every so often where the network starts up, I am in the middle of loading my home page, and then everything hangs indefinitely.  Restarting NM or logging out doesn't help - I have to restart the system and that usually clears up the problem.  I would see that as a separate problem.
Comment 5 Dan Williams 2009-02-17 14:06:46 EST
One thing you can sometimes do is rmmod the wifi driver module, then modprobe it again, and sometimes that resets the hardware enough to make things happy.  That usually indicates a driver bug, but not necessarily.  Give that a shot next time this problem occurs.

If *that* doesn't work, then the next time the problem occurs, try "killall -TERM wpa_supplicant" and let NM reconnect.  Knowing which of these two works (if any) would be quite valuable.
Comment 6 Andrew Overholt 2009-02-18 09:26:15 EST
Every time our WEP key changes here at work, it seems like it takes weeks for NetworkManager to adapt.  Just this morning I went through my usual ritual of hitting "Connect" a bunch of times with the same key until it finally connected.  Is this the same issue that Jeff reported?  I'm on a ThinkPad x61 and can provide more information if necessary.  Or I can open a new bug.
Comment 7 Niels Haase 2009-04-08 17:18:34 EDT
Reporter, could you please reply to the previous question (comment #5)? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 8 Jeff Johnston 2009-04-08 18:36:18 EDT
(In reply to comment #5)
> One thing you can sometimes do is rmmod the wifi driver module, then modprobe
> it again, and sometimes that resets the hardware enough to make things happy. 
> That usually indicates a driver bug, but not necessarily.  Give that a shot
> next time this problem occurs.
> 
> If *that* doesn't work, then the next time the problem occurs, try "killall
> -TERM wpa_supplicant" and let NM reconnect.  Knowing which of these two works
> (if any) would be quite valuable.  

The problem has gone away with latest updates so I haven't had to do either method.
Comment 9 Niels Haase 2009-04-08 20:29:30 EDT
Thanks for the quick response. The bug is now closed

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.